Subject: bug#63259: elpa-admin.el: Don't try to sandbox on Termux/Android

From: Po Lu <[email-masked]>
Date: Thu, 04 May 2023 21:40:02 +0800

Henrik Ahlgren <[email-masked]> writes:

> elpaa--sandbox is set to t by default on Termux, since its system-type
> is gnu/linux. However, I believe bubblewrap is only available on rooted
> devices from root-packages, so most Termux users won't have bwrap. I
> guess the same goes for the native Android port.
>
> Consider disabling sandboxing on Termux by default. Not sure what is the
> best method for detecting it, perhaps check if the TERMUX_VERSION
> environment variable exists?

We don't support Termux; it is not GNU/Linux, so their Emacs should
report system-type as `android' (or perhaps `termux'.)  Please report
this bug to the Termux packagers.

This problem does not exist on the Android port of GNU Emacs, btw, which
does report a correct `system-type'.